org.apache.poi.ss.usermodel

## Interface DataBarFormatting

- All Known Implementing Classes:
    HSSFDataBarFormatting, XSSFDataBarFormatting

      public interface DataBarFormatting

  High level representation for the DataBar Formatting component of Conditional Formatting settings

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getColor()`
    `ConditionalFormattingThreshold` | `getMaxThreshold()` The threshold that defines "everything from here up is maximum"
    `ConditionalFormattingThreshold` | `getMinThreshold()` The threshold that defines "everything from here down is minimum"
    `int` | `getWidthMax()` How much of the cell width, in %, should be given to the max value?
    `int` | `getWidthMin()` How much of the cell width, in %, should be given to the min value?
    `boolean` | `isIconOnly()` Should Icon + Value be displayed, or only the Icon?
    `boolean` | `isLeftToRight()` Is the bar drawn from Left-to-Right, or from Right-to-Left
    `void` | `setColor(Color color)`
    `void` | `setIconOnly(boolean only)` Control if only the Icon is shown, or Icon + Value
    `void` | `setLeftToRight(boolean ltr)` Control if the bar is drawn from Left-to-Right, or from Right-to-Left
    `void` | `setWidthMax(int width)`
    `void` | `setWidthMin(int width)`

- - ### Method Detail

    - #### isLeftToRight

          boolean isLeftToRight()

      Is the bar drawn from Left-to-Right, or from Right-to-Left

    - #### setLeftToRight

          void setLeftToRight(boolean ltr)

      Control if the bar is drawn from Left-to-Right, or from Right-to-Left

    - #### isIconOnly

          boolean isIconOnly()

      Should Icon + Value be displayed, or only the Icon?

    - #### setIconOnly

          void setIconOnly(boolean only)

      Control if only the Icon is shown, or Icon + Value

    - #### getWidthMin

          int getWidthMin()

      How much of the cell width, in %, should be given to the min value?

    - #### setWidthMin

          void setWidthMin(int width)

    - #### getWidthMax

          int getWidthMax()

      How much of the cell width, in %, should be given to the max value?

    - #### setWidthMax

          void setWidthMax(int width)

    - #### getColor

          Color getColor()

    - #### setColor

          void setColor(Color color)

    - #### getMinThreshold

          ConditionalFormattingThreshold getMinThreshold()

      The threshold that defines "everything from here down is minimum"

    - #### getMaxThreshold

          ConditionalFormattingThreshold getMaxThreshold()

      The threshold that defines "everything from here up is maximum"

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.